## super 0.0.3

=== DESCRIPTION ===
Package: super
Title: Interpreted String Literals
Version: 0.0.3
Authors@R: 
    c(
        person(
            given   = "Tim",
            family  = "Taylor",
            role    = c("aut", "cre"),
            email   = "tim.taylor@hiddenelephants.co.uk",
            comment = c(ORCID = "0000-0002-8587-7113")
        ),
        person(
            given   = "Jim",
            family  = "Hester",
            role    = "aut",
            comment = c(ORCID = "0000-0002-2739-7082")
        ),
        person(
            given   = "Jennifer",
            family  = "Bryan",
            role    = "aut",
            comment = c(ORCID = "0000-0002-6983-2759")
        ),
        person(
            "Posit Software, PBC",
            role = c("cph", "fnd")
        )
  )
Description: An implementation of interpreted string literals. Based on the
  'glue' package by Hester & Bryan (2024) <doi:10.32614/CRAN.package.glue> but
  with a focus on efficiency and simplicity at a cost of flexibility.
License: MIT + file LICENSE
URL: https://timtaylor.github.io/super/
BugReports: https://github.com/TimTaylor/super/issues
Depends: R (>= 3.6)
Suggests: glue, litedown, microbenchmark, tinytest
VignetteBuilder: litedown
Encoding: UTF-8
RoxygenNote: 7.3.2
Config/build/compilation-database: true
NeedsCompilation: yes
Packaged: 2024-11-21 18:25:33 UTC; tim
Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
  Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
  Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
  Posit Software, PBC [cph, fnd]
Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
Repository: CRAN
Date/Publication: 2024-11-22 09:00:06 UTC
