## super 0.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.0.4
+Version: 0.0.5
 Authors@R: 
     c(
         person(
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-12-16 21:11:24 UTC; tim
+Packaged: 2025-02-05 11:19:50 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2024-12-16 21:30:02 UTC
+Date/Publication: 2025-02-05 11:40:02 UTC
