## super 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.0.5
+Version: 0.1.0
 Authors@R: 
     c(
         person(
@@ -31,8 +31,8 @@
   'glue' package by Hester & Bryan (2024) <doi:10.32614/CRAN.package.glue> but
   with a focus on efficiency and simplicity at a cost of flexibility.
 License: MIT + file LICENSE
-URL: https://timtaylor.github.io/super/
-BugReports: https://github.com/TimTaylor/super/issues
+URL: https://timtaylor.codeberg.page/super/
+BugReports: https://codeberg.org/TimTaylor/super/issues
 Depends: R (>= 3.6)
 Suggests: glue, litedown, microbenchmark, tinytest
 VignetteBuilder: litedown
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2025-02-05 11:19:50 UTC; tim
+Packaged: 2025-03-11 21:32:21 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2025-02-05 11:40:02 UTC
+Date/Publication: 2025-03-11 21:50:02 UTC
