## super 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: super
 Title: Interpreted String Literals
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     c(
         person(
@@ -40,11 +40,11 @@
 RoxygenNote: 7.3.2
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2025-03-11 21:32:21 UTC; tim
+Packaged: 2025-04-25 20:12:21 UTC; tim
 Author: Tim Taylor [aut, cre] (<https://orcid.org/0000-0002-8587-7113>),
   Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Tim Taylor <tim.taylor@hiddenelephants.co.uk>
 Repository: CRAN
-Date/Publication: 2025-03-11 21:50:02 UTC
+Date/Publication: 2025-04-25 20:40:02 UTC
