## super 3.30.0

=== debian/changelog ===
super (3.30.0-7) unstable; urgency=medium

  * Add 15-Fix-gcc-warnings.patch to fix `variable-set-but-unused' warnings.
  * Fix clang's warning in 08-Logfile-group.patch.
  * debian/rules, debian/control:
    + switch to debhelper v9 and tiny rules file;
    + compile with LFS support enabled (lintian);
    + add support for cross-compiling;
    + remove usage of hardening-includes package, the hardening options are 
      now provided by dpkg-buildflags instead.
  * Remove debian/preinst script, used to handling migrations from ancient
    versions of the package.
  * Standards-Version: 3.9.5:
    + use /run/superstamps directly instead of the /var/run/ symlink.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Apr 2014 09:34:24 +0200

super (3.30.0-6+deb7u1) wheezy-security; urgency=high

  * Add 14-Fix-unchecked-setuid-call.patch to fix a flaw in `super -F'
    command which might open super for RLIMIT_NPROC style exploits on
    older 2.6 kernels (CVE-2014-0470).

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2014 00:30:28 +0200

super (3.30.0-6) unstable; urgency=high

  * Add 12-Use-vsnprintf.patch to fix buffer overflow error occurring
    when logging via syslog is enabled (CVE-2011-2776).
  * Add 13-Potential-format-string-vulnerability.patch to fix
    a vulnerability that might occur if the user of file name or file
    name used in the tag contains a '%' character.
  * Rename & refresh other patches with gbp-pq import/export.
  * debian/control:
    + Add VCS fields;
    + Standards-Version: 3.9.2 (no changes).
    + Sort dependency fields with wrap and sort.

 -- Robert Luberda <robert@debian.org>  Mon, 09 Jan 2012 00:34:16 +0100

super (3.30.0-5) unstable; urgency=low

  * 10_ftbfs_hurd.patch: fix FTBFS on GNU/Hurd.
  * 11_gcc_wformat.patch: fix warnings given by gcc when hardening options
    are turned on.

 -- Robert Luberda <robert@debian.org>  Mon, 21 Feb 2011 22:04:44 +0100

super (3.30.0-4) unstable; urgency=low

  * Switch to the `3.0 (quilt) source format:
    + remove build-time depenency on quilt;
    + remove debian/README.source.

  * debian/rules:
    + drop patch/unpatch target;
    + use dpkg-buildflags for getting CFLAGS/LDFLAGS;
    + call dh_auto_{configure,build,clean} commands;
    + provide build-{arch,indep} targets.

  * 09_Makefile_srcdir.patch: new patch to use $(srcdir) where it's needed.
  * Enable hardening logic provided by the hardening-includes package; add
    the package to build-depends.
  * Standards-Version: 3.9.1.
  * Build with debhelper v8.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Feb 2011 13:25:00 +0100

super (3.30.0-3) unstable; urgency=low

  * 07_ftbfs_kfreebsd.patch: A patch from Cyril Brulebois to fix FTBFS 
    on GNU/kFreeBSD (closes: #561787).
  * 08_logfile_group.patch: Create log files owned by the adm group and with
    proper access rights (closes: #112700).
  * Updated 05_manpages.patch to fix yet another warning from man.

  * Standards-Version: 3.8.3.
  * Bump debhelper to v7.
  * Remove linda overrides, use dh_lintian for installing lintian's overrides.
  * Remove /var/run/superstamps from the binary package. The directory will be
    created by super anyway, if it doesn't exist.
  * Add a home page link, a README.source file.
  * Write patches' descriptions.

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jan 2010 15:08:34 +0100

super (3.30.0-2) unstable; urgency=low

  * Bump build-dependency on debhelper.
  * Fix hyphens in man pages (lintian).
  * Pass -Wl,-as-needed to LD_FLAGS to quit dpkg-shlibdeps warnings.
  * Add support for cross-compiling.
  * Move to quilt for managing patches, split debian diff into 0[1-5]*.patch.
  * 06_gcc_warnings.patch: fix gcc -Wall warnings.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Apr 2008 17:24:05 +0200

super (3.30.0-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2007 15:29:00 +0100

super (3.28.0-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * Set debhelper compat version to 6.

 -- Robert Luberda <robert@debian.org>  Wed, 19 Dec 2007 20:12:09 +0100

super (3.27.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Apr 2007 19:08:49 +0200

super (3.27.1-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Thu, 22 Mar 2007 08:25:12 +0100

super (3.26.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.2 (no changes needed).

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:33:22 +0100

super (3.26.1-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Standards-Version: 3.6.2.
  * Remove lintian source overrides file, it's not needed.
  * Fix format of the `closes' clauses at the end of this changelog 
    to make lintian happy.

 -- Robert Luberda <robert@debian.org>  Thu, 17 Nov 2005 18:50:03 +0100

super (3.26.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Mon,  8 Nov 2004 23:15:11 +0100

super (3.26.0-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Tue, 26 Oct 2004 21:17:31 +0200

super (3.25.0-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Fri, 15 Oct 2004 21:08:08 +0200

super (3.24.1-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Fri, 10 Sep 2004 20:59:52 +0200

super (3.23.0-2) unstable; urgency=low

  * Fix FTBFS problem on hurd (closes:#256634). 

 -- Robert Luberda <robert@debian.org>  Wed, 30 Jun 2004 20:11:17 +0200

super (3.23.0-1) unstable; urgency=high

  * New upstream version:
    + fixed format string vulnerability (CAN-2004-0579) 
      found by Max Vozeler <max@hinterhof.net>.
  * Added debian/watch file.

 -- Robert Luberda <robert@debian.org>  Fri, 18 Jun 2004 22:40:17 +0200


