=== debian/control ===
Source: super
Section: admin
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libpam0g-dev (>= 0.76-14)
Homepage: http://ftp.ucolick.org/pub/users/will/
Vcs-Git: git://anonscm.debian.org/users/robert/super.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/super.git

Package: super
Architecture: any
Depends: libpam-runtime (>= 0.76-14), ${misc:Depends}, ${shlibs:Depends}
Recommends: logrotate (>= 3.5.9)
Description: Execute commands setuid root
 Super allows specified users to execute scripts (or other commands)
 as if they were root; or it can set the uid and/or gid on a
 per-command basis before executing the command.  It is intended to be
 a secure alternative to making scripts setuid root.
