=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR        := DEB-BUILD
DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILDDIR) --parallel
DESTDIR         := $(CURDIR)/debian/$(shell dh_listpackages)
TDIR            := $(CURDIR)/debian/_tmp_
CFLAGS          := -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
LDFLAGS         := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC := gcc
endif

%:
	dh ${@}

override_dh_auto_configure:
	CC="$(CC)"  \
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	dh_auto_configure $(DH_AUTO_OPTIONS) -- \
	                --enable-pam

override_dh_auto_build:	
	dh_auto_build $(DH_AUTO_OPTIONS) -- \
	                 TIMESTAMP_DIR=/run/superstamps \
	                 D_SYSLOG_PRIORITY="-DSYSLOG_PRIORITY=LOG_INFO -DSYSLOG_FACILITY=LOG_AUTH"
	
	mkdir $(TDIR)
	sed '25,50d' README > $(TDIR)/README
	cp -a sample.tab $(TDIR)/super.tab
	cp -a sample.cdmount $(TDIR)/cdmount
	cp -a sample.cdumount $(TDIR)/cdumount
	chmod 755 $(TDIR)/cdmount
	chmod 755 $(TDIR)/cdumount
	

override_dh_auto_clean:
	dh_auto_clean $(DH_AUTO_OPTIONS)
	rm -rf Makefile *~ $(TDIR) config.cache config.log

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS) --destdir="$(DESTDIR)"
	dh_install debian/super.tab etc
	mv $(DESTDIR)/usr/share/man/man5/super.5 \
	        $(DESTDIR)/usr/share/man/man5/super.tab.5

override_dh_installchangelogs:
	dh_installchangelogs WhatsNew

override_dh_fixperms:
	dh_fixperms -Xusr/bin/super
