## super 3.30.1

=== debian/changelog ===
super (3.30.1-1) unstable; urgency=low

  * New upstream version.
  * Add 16-Fix-more-gcc-warnings.patch to fix a few more gcc warnings.
  * Bump debhelper's compat version to 11.
  * Enable all hardening flags.
  * Add lintian override for bogus spelling-error-in-manpage.
  * Switch VCS fields to salsa.
  * Switch debian/copyright to DEP-5 format.
  * Standards-Version: 4.1.4.

 -- Robert Luberda <robert@debian.org>  Fri, 29 Jun 2018 21:13:20 +0200
