=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libpam0g-dev (>= 0.76-14)
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), libpam0g-dev (>= 0.76-14)
 Homepage: http://ftp.ucolick.org/pub/users/will/
-Vcs-Git: git://anonscm.debian.org/users/robert/super.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/super.git
+Vcs-Git: https://salsa.debian.org/debian/super.git
+Vcs-Browser: https://salsa.debian.org/debian/super/
 
 Package: super
 Architecture: any
