=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+
+# disable autoheader, as it fails for some reason
+export AUTOHEADER := /bin/true
 
 BUILDDIR        := DEB-BUILD
 DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILDDIR) --parallel
 DESTDIR         := $(CURDIR)/debian/$(shell dh_listpackages)
 TDIR            := $(CURDIR)/debian/_tmp_
-CFLAGS          := -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
+CFLAGS          := -Wall -Wno-unused-const-variable \
+                   $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
 LDFLAGS         := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
