## super 3.30.3

=== debian/changelog ===
super (3.30.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build as C17 to fix FTBFS (K&R declarations) (Closes: #1097949)

 -- Andrew Bower <andrew@bower.uk>  Mon, 22 Sep 2025 23:18:35 +0100

super (3.30.3-2) unstable; urgency=medium

  * Add 18-Fix-FTBFS-automake.patch (closes: #997769).
  * Update debian/linitan-overrides for changes in lintian itself.
  * Update version of debian/watch file.
  * Standards-Version: 4.6.0.

 -- Robert Luberda <robert@debian.org>  Wed, 03 Nov 2021 22:55:32 +0100

super (3.30.3-1) unstable; urgency=medium

  * New upstream version.
  * Add 17-Fix-FTBFS-gcc10.patch (closes: #957850).
  * Build with debhelper v13.
  * Update lintian-overrides for renamed tag; add an override for an absurd
    warning about spelling in the override file itself.
  * Fix tabs in debian/copyright (lintian).
  * debian/control:
    + Build-Requires-Root: no;
    + Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Aug 2020 10:37:59 +0200
