=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11), libpam0g-dev (>= 0.76-14)
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libpam0g-dev (>= 0.76-14)
+Rules-Requires-Root: no
 Homepage: http://ftp.ucolick.org/pub/users/will/
 Vcs-Git: https://salsa.debian.org/debian/super.git
 Vcs-Browser: https://salsa.debian.org/debian/super/
@@ -11,6 +12,7 @@
 Package: super
 Architecture: any
 Depends: libpam-runtime (>= 0.76-14), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: logrotate (>= 3.5.9)
 Description: Execute commands setuid root
  Super allows specified users to execute scripts (or other commands)
