=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 # disable autoheader, as it fails for some reason
 export AUTOHEADER := /bin/true
@@ -9,9 +7,15 @@
 DH_AUTO_OPTIONS := -v -Sautoconf -B$(BUILDDIR) --parallel
 DESTDIR         := $(CURDIR)/debian/$(shell dh_listpackages)
 TDIR            := $(CURDIR)/debian/_tmp_
-CFLAGS          := -Wall -Wno-unused-const-variable \
-                   $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
-LDFLAGS         := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
+
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-unused-const-variable $(shell getconf LFS_CFLAGS) -std=c17
+DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
+DPKG_EXPORT_BUILDFLAGS  := 1
+
+include /usr/share/dpkg/buildflags.mk
+
+include /usr/share/dpkg/architecture.mk
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   CC := $(DEB_HOST_GNU_TYPE)-gcc
