=== debian/watch ===
# control file for the uscan(1) tool
version=4
ftp://ftp.ucolick.org/pub/users/will/super-([\d\.]+)-tar.gz
